gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.RendererCellAccessible

Contents

- Exported types
- Methods
  - new
- Properties
  - renderer

Description

No description available in the introspection data.

Synopsis

- newtype RendererCellAccessible = RendererCellAccessible (ManagedPtr RendererCellAccessible)
- class (GObject o, IsDescendantOf RendererCellAccessible o) => IsRendererCellAccessible o
- toRendererCellAccessible :: (MonadIO m, IsRendererCellAccessible o) => o -> m RendererCellAccessible
- rendererCellAccessibleNew :: (HasCallStack, MonadIO m, IsCellRenderer a) => a -> m RendererCellAccessible
- constructRendererCellAccessibleRenderer :: (IsRendererCellAccessible o, MonadIO m, IsCellRenderer a) => a -> m (GValueConstruct o)
- getRendererCellAccessibleRenderer :: (MonadIO m, IsRendererCellAccessible o) => o -> m (Maybe CellRenderer)

# Exported types

newtype RendererCellAccessible Source #

Memory-managed wrapper type.

Constructors

RendererCellAccessible (ManagedPtr RendererCellAccessible) |

#### Instances

Instances details

Eq RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible Methods (==) :: RendererCellAccessible -> RendererCellAccessible -> Bool Source # (/=) :: RendererCellAccessible -> RendererCellAccessible -> Bool Source #
GObject RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible
ManagedPtrNewtype RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible Methods toManagedPtr :: RendererCellAccessible -> ManagedPtr RendererCellAccessible Source #
TypedObject RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible Methods glibType :: IO GType Source #
HasParentTypes RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible
IsGValue (Maybe RendererCellAccessible) Source # | Convert `RendererCellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RendererCellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RendererCellAccessible) Source #
type ParentTypes RendererCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible type ParentTypes RendererCellAccessible = '[CellAccessible, Accessible, Object, Object, Action, Component, TableCell]

class (GObject o, IsDescendantOf RendererCellAccessible o) => IsRendererCellAccessible o Source #

Type class for types which can be safely cast to `RendererCellAccessible`, for instance with `toRendererCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf RendererCellAccessible o) => IsRendererCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.RendererCellAccessible

toRendererCellAccessible :: (MonadIO m, IsRendererCellAccessible o) => o -> m RendererCellAccessible Source #

Cast to `RendererCellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getColumnHeaderCells, getColumnSpan, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getSize, getTable, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.

## new

rendererCellAccessibleNew :: (HasCallStack, MonadIO m, IsCellRenderer a) => a -> m RendererCellAccessible Source #

No description available in the introspection data.

# Properties

## renderer

No description available in the introspection data.

constructRendererCellAccessibleRenderer :: (IsRendererCellAccessible o, MonadIO m, IsCellRenderer a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`renderer`” property. This is rarely needed directly, but it is used by `new`.

getRendererCellAccessibleRenderer :: (MonadIO m, IsRendererCellAccessible o) => o -> m (Maybe CellRenderer) Source #

Get the value of the “`renderer`” property. When overloading is enabled, this is equivalent to

    get rendererCellAccessible #renderer